Get card details
curl --request GET \
--url https://api.sandbox.trio.com.br/banking/cards/{id}/info \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.sandbox.trio.com.br/banking/cards/{id}/info"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.sandbox.trio.com.br/banking/cards/{id}/info', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"expiration_date": "2022-12-31T23:59:59Z",
"holder_name": "John Doe",
"number": "5209199870273875",
"security_code": "123"
}
}{
"errors": [
{
"detail": "null value where string expected",
"source": {
"pointer": "/data/attributes/petName"
},
"title": "Invalid value"
}
]
}{
"errors": [
{
"detail": "null value where string expected",
"source": {
"pointer": "/data/attributes/petName"
},
"title": "Invalid value"
}
]
}Cards
Get Card Details
Card sensitive information: holder name, card number, expiration date and cvv
GET
/
banking
/
cards
/
{id}
/
info
Get card details
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
Card ID Unique identifier
Response
Card Details
Card sensitive data
Show child attributes
Show child attributes
⌘I

